Get namespace metadata for timespan
GET
/namespaces/{namespace}/pulls/exports/years/{year}/{timespantype}/{timespan} Gets info about data for the given namespace and timespan.
Connection and access
API connection and authentication guidance
https://hub.docker.com/api/publisher/analytics/v1
Use one of these alternatives. Requirements within an alternative apply together.
HubAuth
Parameters
namespace
path
Required
Namespace to fetch data for
Type:
string
All schema constraints and annotations
{
"type": "string"
}year
path
Required
Year to fetch data for
Type:
integer
All schema constraints and annotations
{
"type": "integer"
}timespantype
path
Required
Type of timespan to fetch data for
Schema:
TimespanType
timespan
path
Required
Timespan to fetch data for
Type:
integer
All schema constraints and annotations
{
"type": "integer"
}Request and responses
Response
200
Success
application/json
Schema:
TimespanModel
Schema example
{
"month": 7
}Schema example
{
"week": 31
}Response
404
Not Found
No response content is declared.
Referenced schemas
#/components/schemas/TimespanModel
#/components/schemas/TimespanType
Complete operation contract
{
"description": "Gets info about data for the given namespace and timespan.",
"operationId": "getNamespaceTimespanMetadata",
"parameters": [
{
"description": "Namespace to fetch data for",
"in": "path",
"name": "namespace",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Year to fetch data for",
"in": "path",
"name": "year",
"required": true,
"schema": {
"type": "integer"
}
},
{
"description": "Type of timespan to fetch data for",
"in": "path",
"name": "timespantype",
"required": true,
"schema": {
"$ref": "#/components/schemas/TimespanType"
}
},
{
"description": "Timespan to fetch data for",
"in": "path",
"name": "timespan",
"required": true,
"schema": {
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TimespanModel"
}
}
},
"description": "Success"
},
"404": {
"description": "Not Found"
}
},
"summary": "Get namespace metadata for timespan",
"tags": [
"namespaces"
]
}